%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  cotram
%global packver   0.5-2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.5.2
Release:          1%{?dist}%{?buildtag}
Summary:          Count Transformation Models

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-mlt >= 1.4.7
BuildRequires:    R-CRAN-basefun >= 1.0.5
BuildRequires:    R-CRAN-variables >= 1.0.2
BuildRequires:    R-CRAN-tram >= 1.0.0
BuildRequires:    R-CRAN-alabama 
BuildRequires:    R-CRAN-Matrix 
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-survival 
BuildRequires:    R-utils 
BuildRequires:    R-CRAN-qrng 
Requires:         R-CRAN-mlt >= 1.4.7
Requires:         R-CRAN-basefun >= 1.0.5
Requires:         R-CRAN-variables >= 1.0.2
Requires:         R-CRAN-tram >= 1.0.0
Requires:         R-CRAN-alabama 
Requires:         R-CRAN-Matrix 
Requires:         R-methods 
Requires:         R-CRAN-survival 
Requires:         R-utils 
Requires:         R-CRAN-qrng 

%description
Count transformation models featuring parameters interpretable as discrete
hazard ratios, odds ratios, reverse-time discrete hazard ratios, or
transformed expectations. An appropriate data transformation for a count
outcome and regression coefficients are simultaneously estimated by
maximising the exact discrete log-likelihood using the computational
framework provided in package 'mlt', technical details are given in
Siegfried & Hothorn (2020) <DOI:10.1111/2041-210X.13383>. The package also
contains an experimental implementation of multivariate count
transformation models with an application to multi-species distribution
models <DOI:10.48550/arXiv.2201.13095>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
